{
  lib,
  pkgs,
  ...
}: {
  options.programs = {
    terminal = lib.mkPackageOption pkgs "alacritty" {};
  };

  config = {
    programs.alacritty = {
      enable = true;
      settings = {
        window = {
          dynamic_title = true;
        };
      };
    };
  };
}
